Subject: Re: [PATCH -next] usb: xhci depends on PCI.

From: Greg KH <[email-masked]>
Date: Thu, 30 Apr 2009 09:13:14 -0700

On Thu, Apr 30, 2009 at 05:30:02PM +0900, Paul Mundt wrote:
> While it looks like xhci was written with both PCI and non-PCI in mind,
> apparently only the former has seen any testing. xhci-mem.o can be "fixed"
> with a linux/dmapool.h include, but there are still parts of the code that
> make use of struct pci_dev directly. So, at least more work is needed before
> this can be turned on for non-PCI builds:

Thanks, you are correct.  I'll apply your Kconfig fix, thanks for making
it up.

greg k-h